#pragma once

#include <string> // Para std::string

namespace lang
{
    // --- Códigos de idioma soportados ---
    enum class Code : int
    {
        es_ES = 0, // Español
        ba_BA = 1, // Bable/Asturiano
        en_UK = 2, // Inglés (Reino Unido)
    };

    // Inicializa los textos del juego en el idioma seleccionado
    bool loadFromFile(const std::string &file_path);

    // Obtiene la cadena de texto correspondiente al índice
    std::string getText(int index);

    // Obtiene el código del siguiente idioma disponible
    Code getNextLangCode(Code lang);
}